Subject: bug#20236: 25.0.50; Feature Request: scroll-other-window does not allow setting of scroll function

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 01 May 2022 12:49:57 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Hm...  perhaps scroll-other-window could look into that other window and
> see whether scroll-{up,down}-command is remapped there, and then use
> that function?  Then we wouldn't have to introduce anything new, really.

I've now done this, sort of -- I moved the functions from C to Lisp, and
made them check remapping.  But if there aren't any remappings, they
call scroll-up-command instead of scroll-up, which means that other user
options in this area are also heeded.

(I first wondered whether it might make sense to introduce new
scroll-other-window-command indirections here, but that only complicates
things, especially since so many packages remap scroll-other-window.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no